1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.13
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52SHELL=${CONFIG_SHELL-/bin/sh}
53# Maximum number of lines to put in a shell here document.
54ac_max_here_lines=12
55
56ac_prev=
57for ac_option
58do
59
60  # If the previous option needs an argument, assign it.
61  if test -n "$ac_prev"; then
62    eval "$ac_prev=\$ac_option"
63    ac_prev=
64    continue
65  fi
66
67  case "$ac_option" in
68  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
69  *) ac_optarg= ;;
70  esac
71
72  # Accept the important Cygnus configure options, so we can diagnose typos.
73
74  case "$ac_option" in
75
76  -bindir | --bindir | --bindi | --bind | --bin | --bi)
77    ac_prev=bindir ;;
78  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
79    bindir="$ac_optarg" ;;
80
81  -build | --build | --buil | --bui | --bu)
82    ac_prev=build ;;
83  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
84    build="$ac_optarg" ;;
85
86  -cache-file | --cache-file | --cache-fil | --cache-fi \
87  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
88    ac_prev=cache_file ;;
89  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
90  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
91    cache_file="$ac_optarg" ;;
92
93  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
94    ac_prev=datadir ;;
95  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
96  | --da=*)
97    datadir="$ac_optarg" ;;
98
99  -disable-* | --disable-*)
100    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
101    # Reject names that are not valid shell variable names.
102    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
103      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
104    fi
105    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
106    eval "enable_${ac_feature}=no" ;;
107
108  -enable-* | --enable-*)
109    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
110    # Reject names that are not valid shell variable names.
111    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
112      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
113    fi
114    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
115    case "$ac_option" in
116      *=*) ;;
117      *) ac_optarg=yes ;;
118    esac
119    eval "enable_${ac_feature}='$ac_optarg'" ;;
120
121  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
122  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
123  | --exec | --exe | --ex)
124    ac_prev=exec_prefix ;;
125  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
126  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
127  | --exec=* | --exe=* | --ex=*)
128    exec_prefix="$ac_optarg" ;;
129
130  -gas | --gas | --ga | --g)
131    # Obsolete; use --with-gas.
132    with_gas=yes ;;
133
134  -help | --help | --hel | --he)
135    # Omit some internal or obsolete options to make the list less imposing.
136    # This message is too long to be a string in the A/UX 3.1 sh.
137    cat << EOF
138Usage: configure [options] [host]
139Options: [defaults in brackets after descriptions]
140Configuration:
141  --cache-file=FILE       cache test results in FILE
142  --help                  print this message
143  --no-create             do not create output files
144  --quiet, --silent       do not print \`checking...' messages
145  --version               print the version of autoconf that created configure
146Directory and file names:
147  --prefix=PREFIX         install architecture-independent files in PREFIX
148                          [$ac_default_prefix]
149  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
150                          [same as prefix]
151  --bindir=DIR            user executables in DIR [EPREFIX/bin]
152  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
153  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
154  --datadir=DIR           read-only architecture-independent data in DIR
155                          [PREFIX/share]
156  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
157  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
158                          [PREFIX/com]
159  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
160  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
161  --includedir=DIR        C header files in DIR [PREFIX/include]
162  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
163  --infodir=DIR           info documentation in DIR [PREFIX/info]
164  --mandir=DIR            man documentation in DIR [PREFIX/man]
165  --srcdir=DIR            find the sources in DIR [configure dir or ..]
166  --program-prefix=PREFIX prepend PREFIX to installed program names
167  --program-suffix=SUFFIX append SUFFIX to installed program names
168  --program-transform-name=PROGRAM
169                          run sed PROGRAM on installed program names
170EOF
171    cat << EOF
172Host type:
173  --build=BUILD           configure for building on BUILD [BUILD=HOST]
174  --host=HOST             configure for HOST [guessed]
175  --target=TARGET         configure for TARGET [TARGET=HOST]
176Features and packages:
177  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
178  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
179  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
180  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
181  --x-includes=DIR        X include files are in DIR
182  --x-libraries=DIR       X library files are in DIR
183EOF
184    if test -n "$ac_help"; then
185      echo "--enable and --with options recognized:$ac_help"
186    fi
187    exit 0 ;;
188
189  -host | --host | --hos | --ho)
190    ac_prev=host ;;
191  -host=* | --host=* | --hos=* | --ho=*)
192    host="$ac_optarg" ;;
193
194  -includedir | --includedir | --includedi | --included | --include \
195  | --includ | --inclu | --incl | --inc)
196    ac_prev=includedir ;;
197  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
198  | --includ=* | --inclu=* | --incl=* | --inc=*)
199    includedir="$ac_optarg" ;;
200
201  -infodir | --infodir | --infodi | --infod | --info | --inf)
202    ac_prev=infodir ;;
203  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
204    infodir="$ac_optarg" ;;
205
206  -libdir | --libdir | --libdi | --libd)
207    ac_prev=libdir ;;
208  -libdir=* | --libdir=* | --libdi=* | --libd=*)
209    libdir="$ac_optarg" ;;
210
211  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
212  | --libexe | --libex | --libe)
213    ac_prev=libexecdir ;;
214  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
215  | --libexe=* | --libex=* | --libe=*)
216    libexecdir="$ac_optarg" ;;
217
218  -localstatedir | --localstatedir | --localstatedi | --localstated \
219  | --localstate | --localstat | --localsta | --localst \
220  | --locals | --local | --loca | --loc | --lo)
221    ac_prev=localstatedir ;;
222  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
223  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
224  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
225    localstatedir="$ac_optarg" ;;
226
227  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
228    ac_prev=mandir ;;
229  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
230    mandir="$ac_optarg" ;;
231
232  -nfp | --nfp | --nf)
233    # Obsolete; use --without-fp.
234    with_fp=no ;;
235
236  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
237  | --no-cr | --no-c)
238    no_create=yes ;;
239
240  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
241  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
242    no_recursion=yes ;;
243
244  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
245  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
246  | --oldin | --oldi | --old | --ol | --o)
247    ac_prev=oldincludedir ;;
248  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
249  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
250  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
251    oldincludedir="$ac_optarg" ;;
252
253  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
254    ac_prev=prefix ;;
255  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
256    prefix="$ac_optarg" ;;
257
258  -program-prefix | --program-prefix | --program-prefi | --program-pref \
259  | --program-pre | --program-pr | --program-p)
260    ac_prev=program_prefix ;;
261  -program-prefix=* | --program-prefix=* | --program-prefi=* \
262  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
263    program_prefix="$ac_optarg" ;;
264
265  -program-suffix | --program-suffix | --program-suffi | --program-suff \
266  | --program-suf | --program-su | --program-s)
267    ac_prev=program_suffix ;;
268  -program-suffix=* | --program-suffix=* | --program-suffi=* \
269  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
270    program_suffix="$ac_optarg" ;;
271
272  -program-transform-name | --program-transform-name \
273  | --program-transform-nam | --program-transform-na \
274  | --program-transform-n | --program-transform- \
275  | --program-transform | --program-transfor \
276  | --program-transfo | --program-transf \
277  | --program-trans | --program-tran \
278  | --progr-tra | --program-tr | --program-t)
279    ac_prev=program_transform_name ;;
280  -program-transform-name=* | --program-transform-name=* \
281  | --program-transform-nam=* | --program-transform-na=* \
282  | --program-transform-n=* | --program-transform-=* \
283  | --program-transform=* | --program-transfor=* \
284  | --program-transfo=* | --program-transf=* \
285  | --program-trans=* | --program-tran=* \
286  | --progr-tra=* | --program-tr=* | --program-t=*)
287    program_transform_name="$ac_optarg" ;;
288
289  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
290  | -silent | --silent | --silen | --sile | --sil)
291    silent=yes ;;
292
293  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
294    ac_prev=sbindir ;;
295  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
296  | --sbi=* | --sb=*)
297    sbindir="$ac_optarg" ;;
298
299  -sharedstatedir | --sharedstatedir | --sharedstatedi \
300  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
301  | --sharedst | --shareds | --shared | --share | --shar \
302  | --sha | --sh)
303    ac_prev=sharedstatedir ;;
304  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
305  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
306  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
307  | --sha=* | --sh=*)
308    sharedstatedir="$ac_optarg" ;;
309
310  -site | --site | --sit)
311    ac_prev=site ;;
312  -site=* | --site=* | --sit=*)
313    site="$ac_optarg" ;;
314
315  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
316    ac_prev=srcdir ;;
317  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
318    srcdir="$ac_optarg" ;;
319
320  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
321  | --syscon | --sysco | --sysc | --sys | --sy)
322    ac_prev=sysconfdir ;;
323  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
324  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
325    sysconfdir="$ac_optarg" ;;
326
327  -target | --target | --targe | --targ | --tar | --ta | --t)
328    ac_prev=target ;;
329  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
330    target="$ac_optarg" ;;
331
332  -v | -verbose | --verbose | --verbos | --verbo | --verb)
333    verbose=yes ;;
334
335  -version | --version | --versio | --versi | --vers)
336    echo "configure generated by autoconf version 2.13"
337    exit 0 ;;
338
339  -with-* | --with-*)
340    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
341    # Reject names that are not valid shell variable names.
342    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
343      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
344    fi
345    ac_package=`echo $ac_package| sed 's/-/_/g'`
346    case "$ac_option" in
347      *=*) ;;
348      *) ac_optarg=yes ;;
349    esac
350    eval "with_${ac_package}='$ac_optarg'" ;;
351
352  -without-* | --without-*)
353    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
354    # Reject names that are not valid shell variable names.
355    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
356      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
357    fi
358    ac_package=`echo $ac_package| sed 's/-/_/g'`
359    eval "with_${ac_package}=no" ;;
360
361  --x)
362    # Obsolete; use --with-x.
363    with_x=yes ;;
364
365  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
366  | --x-incl | --x-inc | --x-in | --x-i)
367    ac_prev=x_includes ;;
368  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
369  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
370    x_includes="$ac_optarg" ;;
371
372  -x-libraries | --x-libraries | --x-librarie | --x-librari \
373  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
374    ac_prev=x_libraries ;;
375  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
376  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
377    x_libraries="$ac_optarg" ;;
378
379  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
380    ;;
381
382  *)
383    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
384      echo "configure: warning: $ac_option: invalid host type" 1>&2
385    fi
386    if test "x$nonopt" != xNONE; then
387      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
388    fi
389    nonopt="$ac_option"
390    ;;
391
392  esac
393done
394
395if test -n "$ac_prev"; then
396  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
397fi
398
399trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
400
401# File descriptor usage:
402# 0 standard input
403# 1 file creation
404# 2 errors and warnings
405# 3 some systems may open it to /dev/tty
406# 4 used on the Kubota Titan
407# 6 checking for... messages and results
408# 5 compiler messages saved in config.log
409if test "$silent" = yes; then
410  exec 6>/dev/null
411else
412  exec 6>&1
413fi
414exec 5>./config.log
415
416echo "\
417This file contains any messages produced by compilers while
418running configure, to aid debugging if configure makes a mistake.
419" 1>&5
420
421# Strip out --no-create and --no-recursion so they do not pile up.
422# Also quote any args containing shell metacharacters.
423ac_configure_args=
424for ac_arg
425do
426  case "$ac_arg" in
427  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
428  | --no-cr | --no-c) ;;
429  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
430  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
431  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
432  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
433  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
434  esac
435done
436
437# NLS nuisances.
438# Only set these to C if already set.  These must not be set unconditionally
439# because not all systems understand e.g. LANG=C (notably SCO).
440# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
441# Non-C LC_CTYPE values break the ctype check.
442if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
443if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
444if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
445if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
446
447# confdefs.h avoids OS command line length limits that DEFS can exceed.
448rm -rf conftest* confdefs.h
449# AIX cpp loses on an empty file, so make sure it contains at least a newline.
450echo > confdefs.h
451
452# A filename unique to this package, relative to the directory that
453# configure is in, which we can look for to find out if srcdir is correct.
454ac_unique_file=inifile.c
455
456# Find the source files, if location was not specified.
457if test -z "$srcdir"; then
458  ac_srcdir_defaulted=yes
459  # Try the directory containing this script, then its parent.
460  ac_prog=$0
461  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
463  srcdir=$ac_confdir
464  if test ! -r $srcdir/$ac_unique_file; then
465    srcdir=..
466  fi
467else
468  ac_srcdir_defaulted=no
469fi
470if test ! -r $srcdir/$ac_unique_file; then
471  if test "$ac_srcdir_defaulted" = yes; then
472    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
473  else
474    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
475  fi
476fi
477srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
478
479# Prefer explicitly selected file to automatically selected ones.
480if test -z "$CONFIG_SITE"; then
481  if test "x$prefix" != xNONE; then
482    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
483  else
484    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
485  fi
486fi
487for ac_site_file in $CONFIG_SITE; do
488  if test -r "$ac_site_file"; then
489    echo "loading site script $ac_site_file"
490    . "$ac_site_file"
491  fi
492done
493
494if test -r "$cache_file"; then
495  echo "loading cache $cache_file"
496  . $cache_file
497else
498  echo "creating cache $cache_file"
499  > $cache_file
500fi
501
502ac_ext=c
503# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504ac_cpp='$CPP $CPPFLAGS'
505ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
506ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
507cross_compiling=$ac_cv_prog_cc_cross
508
509ac_exeext=
510ac_objext=o
511if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
512  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
513  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
514    ac_n= ac_c='
515' ac_t='	'
516  else
517    ac_n=-n ac_c= ac_t=
518  fi
519else
520  ac_n= ac_c='\c' ac_t=
521fi
522
523
524
525
526# Extract the first word of "gcc", so it can be a program name with args.
527set dummy gcc; ac_word=$2
528echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
529echo "configure:530: checking for $ac_word" >&5
530if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
531  echo $ac_n "(cached) $ac_c" 1>&6
532else
533  if test -n "$CC"; then
534  ac_cv_prog_CC="$CC" # Let the user override the test.
535else
536  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
537  ac_dummy="$PATH"
538  for ac_dir in $ac_dummy; do
539    test -z "$ac_dir" && ac_dir=.
540    if test -f $ac_dir/$ac_word; then
541      ac_cv_prog_CC="gcc"
542      break
543    fi
544  done
545  IFS="$ac_save_ifs"
546fi
547fi
548CC="$ac_cv_prog_CC"
549if test -n "$CC"; then
550  echo "$ac_t""$CC" 1>&6
551else
552  echo "$ac_t""no" 1>&6
553fi
554
555if test -z "$CC"; then
556  # Extract the first word of "cc", so it can be a program name with args.
557set dummy cc; ac_word=$2
558echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
559echo "configure:560: checking for $ac_word" >&5
560if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
561  echo $ac_n "(cached) $ac_c" 1>&6
562else
563  if test -n "$CC"; then
564  ac_cv_prog_CC="$CC" # Let the user override the test.
565else
566  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
567  ac_prog_rejected=no
568  ac_dummy="$PATH"
569  for ac_dir in $ac_dummy; do
570    test -z "$ac_dir" && ac_dir=.
571    if test -f $ac_dir/$ac_word; then
572      if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
573        ac_prog_rejected=yes
574	continue
575      fi
576      ac_cv_prog_CC="cc"
577      break
578    fi
579  done
580  IFS="$ac_save_ifs"
581if test $ac_prog_rejected = yes; then
582  # We found a bogon in the path, so make sure we never use it.
583  set dummy $ac_cv_prog_CC
584  shift
585  if test $# -gt 0; then
586    # We chose a different compiler from the bogus one.
587    # However, it has the same basename, so the bogon will be chosen
588    # first if we set CC to just the basename; use the full file name.
589    shift
590    set dummy "$ac_dir/$ac_word" "$@"
591    shift
592    ac_cv_prog_CC="$@"
593  fi
594fi
595fi
596fi
597CC="$ac_cv_prog_CC"
598if test -n "$CC"; then
599  echo "$ac_t""$CC" 1>&6
600else
601  echo "$ac_t""no" 1>&6
602fi
603
604  if test -z "$CC"; then
605    case "`uname -s`" in
606    *win32* | *WIN32*)
607      # Extract the first word of "cl", so it can be a program name with args.
608set dummy cl; ac_word=$2
609echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
610echo "configure:611: checking for $ac_word" >&5
611if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
612  echo $ac_n "(cached) $ac_c" 1>&6
613else
614  if test -n "$CC"; then
615  ac_cv_prog_CC="$CC" # Let the user override the test.
616else
617  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
618  ac_dummy="$PATH"
619  for ac_dir in $ac_dummy; do
620    test -z "$ac_dir" && ac_dir=.
621    if test -f $ac_dir/$ac_word; then
622      ac_cv_prog_CC="cl"
623      break
624    fi
625  done
626  IFS="$ac_save_ifs"
627fi
628fi
629CC="$ac_cv_prog_CC"
630if test -n "$CC"; then
631  echo "$ac_t""$CC" 1>&6
632else
633  echo "$ac_t""no" 1>&6
634fi
635 ;;
636    esac
637  fi
638  test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
639fi
640
641echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
642echo "configure:643: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
643
644ac_ext=c
645# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
646ac_cpp='$CPP $CPPFLAGS'
647ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
648ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
649cross_compiling=$ac_cv_prog_cc_cross
650
651cat > conftest.$ac_ext << EOF
652
653#line 654 "configure"
654#include "confdefs.h"
655
656main(){return(0);}
657EOF
658if { (eval echo configure:659: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
659  ac_cv_prog_cc_works=yes
660  # If we can't run a trivial program, we are probably using a cross compiler.
661  if (./conftest; exit) 2>/dev/null; then
662    ac_cv_prog_cc_cross=no
663  else
664    ac_cv_prog_cc_cross=yes
665  fi
666else
667  echo "configure: failed program was:" >&5
668  cat conftest.$ac_ext >&5
669  ac_cv_prog_cc_works=no
670fi
671rm -fr conftest*
672ac_ext=c
673# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
674ac_cpp='$CPP $CPPFLAGS'
675ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
676ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
677cross_compiling=$ac_cv_prog_cc_cross
678
679echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
680if test $ac_cv_prog_cc_works = no; then
681  { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
682fi
683echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
684echo "configure:685: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
685echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
686cross_compiling=$ac_cv_prog_cc_cross
687
688echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
689echo "configure:690: checking whether we are using GNU C" >&5
690if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
691  echo $ac_n "(cached) $ac_c" 1>&6
692else
693  cat > conftest.c <<EOF
694#ifdef __GNUC__
695  yes;
696#endif
697EOF
698if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:699: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
699  ac_cv_prog_gcc=yes
700else
701  ac_cv_prog_gcc=no
702fi
703fi
704
705echo "$ac_t""$ac_cv_prog_gcc" 1>&6
706
707if test $ac_cv_prog_gcc = yes; then
708  GCC=yes
709else
710  GCC=
711fi
712
713ac_test_CFLAGS="${CFLAGS+set}"
714ac_save_CFLAGS="$CFLAGS"
715CFLAGS=
716echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
717echo "configure:718: checking whether ${CC-cc} accepts -g" >&5
718if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
719  echo $ac_n "(cached) $ac_c" 1>&6
720else
721  echo 'void f(){}' > conftest.c
722if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
723  ac_cv_prog_cc_g=yes
724else
725  ac_cv_prog_cc_g=no
726fi
727rm -f conftest*
728
729fi
730
731echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
732if test "$ac_test_CFLAGS" = set; then
733  CFLAGS="$ac_save_CFLAGS"
734elif test $ac_cv_prog_cc_g = yes; then
735  if test "$GCC" = yes; then
736    CFLAGS="-g -O2"
737  else
738    CFLAGS="-g"
739  fi
740else
741  if test "$GCC" = yes; then
742    CFLAGS="-O2"
743  else
744    CFLAGS=
745  fi
746fi
747
748
749
750echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
751echo "configure:752: checking how to run the C preprocessor" >&5
752# On Suns, sometimes $CPP names a directory.
753if test -n "$CPP" && test -d "$CPP"; then
754  CPP=
755fi
756if test -z "$CPP"; then
757if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
758  echo $ac_n "(cached) $ac_c" 1>&6
759else
760    # This must be in double quotes, not single quotes, because CPP may get
761  # substituted into the Makefile and "${CC-cc}" will confuse make.
762  CPP="${CC-cc} -E"
763  # On the NeXT, cc -E runs the code through the compiler's parser,
764  # not just through cpp.
765  cat > conftest.$ac_ext <<EOF
766#line 767 "configure"
767#include "confdefs.h"
768#include <assert.h>
769Syntax Error
770EOF
771ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
772{ (eval echo configure:773: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
773ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
774if test -z "$ac_err"; then
775  :
776else
777  echo "$ac_err" >&5
778  echo "configure: failed program was:" >&5
779  cat conftest.$ac_ext >&5
780  rm -rf conftest*
781  CPP="${CC-cc} -E -traditional-cpp"
782  cat > conftest.$ac_ext <<EOF
783#line 784 "configure"
784#include "confdefs.h"
785#include <assert.h>
786Syntax Error
787EOF
788ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
789{ (eval echo configure:790: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
790ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
791if test -z "$ac_err"; then
792  :
793else
794  echo "$ac_err" >&5
795  echo "configure: failed program was:" >&5
796  cat conftest.$ac_ext >&5
797  rm -rf conftest*
798  CPP="${CC-cc} -nologo -E"
799  cat > conftest.$ac_ext <<EOF
800#line 801 "configure"
801#include "confdefs.h"
802#include <assert.h>
803Syntax Error
804EOF
805ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
806{ (eval echo configure:807: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
807ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
808if test -z "$ac_err"; then
809  :
810else
811  echo "$ac_err" >&5
812  echo "configure: failed program was:" >&5
813  cat conftest.$ac_ext >&5
814  rm -rf conftest*
815  CPP=/lib/cpp
816fi
817rm -f conftest*
818fi
819rm -f conftest*
820fi
821rm -f conftest*
822  ac_cv_prog_CPP="$CPP"
823fi
824  CPP="$ac_cv_prog_CPP"
825else
826  ac_cv_prog_CPP="$CPP"
827fi
828echo "$ac_t""$CPP" 1>&6
829
830echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
831echo "configure:832: checking for ANSI C header files" >&5
832if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
833  echo $ac_n "(cached) $ac_c" 1>&6
834else
835  cat > conftest.$ac_ext <<EOF
836#line 837 "configure"
837#include "confdefs.h"
838#include <stdlib.h>
839#include <stdarg.h>
840#include <string.h>
841#include <float.h>
842EOF
843ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
844{ (eval echo configure:845: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
845ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
846if test -z "$ac_err"; then
847  rm -rf conftest*
848  ac_cv_header_stdc=yes
849else
850  echo "$ac_err" >&5
851  echo "configure: failed program was:" >&5
852  cat conftest.$ac_ext >&5
853  rm -rf conftest*
854  ac_cv_header_stdc=no
855fi
856rm -f conftest*
857
858if test $ac_cv_header_stdc = yes; then
859  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
860cat > conftest.$ac_ext <<EOF
861#line 862 "configure"
862#include "confdefs.h"
863#include <string.h>
864EOF
865if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
866  egrep "memchr" >/dev/null 2>&1; then
867  :
868else
869  rm -rf conftest*
870  ac_cv_header_stdc=no
871fi
872rm -f conftest*
873
874fi
875
876if test $ac_cv_header_stdc = yes; then
877  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
878cat > conftest.$ac_ext <<EOF
879#line 880 "configure"
880#include "confdefs.h"
881#include <stdlib.h>
882EOF
883if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
884  egrep "free" >/dev/null 2>&1; then
885  :
886else
887  rm -rf conftest*
888  ac_cv_header_stdc=no
889fi
890rm -f conftest*
891
892fi
893
894if test $ac_cv_header_stdc = yes; then
895  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
896if test "$cross_compiling" = yes; then
897  :
898else
899  cat > conftest.$ac_ext <<EOF
900#line 901 "configure"
901#include "confdefs.h"
902#include <ctype.h>
903#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
904#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
905#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
906int main () { int i; for (i = 0; i < 256; i++)
907if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
908exit (0); }
909
910EOF
911if { (eval echo configure:912: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
912then
913  :
914else
915  echo "configure: failed program was:" >&5
916  cat conftest.$ac_ext >&5
917  rm -fr conftest*
918  ac_cv_header_stdc=no
919fi
920rm -fr conftest*
921fi
922
923fi
924fi
925
926echo "$ac_t""$ac_cv_header_stdc" 1>&6
927if test $ac_cv_header_stdc = yes; then
928  cat >> confdefs.h <<\EOF
929#define STDC_HEADERS 1
930EOF
931
932fi
933
934
935echo $ac_n "checking for working const""... $ac_c" 1>&6
936echo "configure:937: checking for working const" >&5
937if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
938  echo $ac_n "(cached) $ac_c" 1>&6
939else
940  cat > conftest.$ac_ext <<EOF
941#line 942 "configure"
942#include "confdefs.h"
943
944int main() {
945
946/* Ultrix mips cc rejects this.  */
947typedef int charset[2]; const charset x;
948/* SunOS 4.1.1 cc rejects this.  */
949char const *const *ccp;
950char **p;
951/* NEC SVR4.0.2 mips cc rejects this.  */
952struct point {int x, y;};
953static struct point const zero = {0,0};
954/* AIX XL C 1.02.0.0 rejects this.
955   It does not let you subtract one const X* pointer from another in an arm
956   of an if-expression whose if-part is not a constant expression */
957const char *g = "string";
958ccp = &g + (g ? g-g : 0);
959/* HPUX 7.0 cc rejects these. */
960++ccp;
961p = (char**) ccp;
962ccp = (char const *const *) p;
963{ /* SCO 3.2v4 cc rejects this.  */
964  char *t;
965  char const *s = 0 ? (char *) 0 : (char const *) 0;
966
967  *t++ = 0;
968}
969{ /* Someone thinks the Sun supposedly-ANSI compiler will reject this.  */
970  int x[] = {25, 17};
971  const int *foo = &x[0];
972  ++foo;
973}
974{ /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
975  typedef const int *iptr;
976  iptr p = 0;
977  ++p;
978}
979{ /* AIX XL C 1.02.0.0 rejects this saying
980     "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
981  struct s { int j; const int *ap[3]; };
982  struct s *b; b->j = 5;
983}
984{ /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
985  const int foo = 10;
986}
987
988; return 0; }
989EOF
990if { (eval echo configure:991: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
991  rm -rf conftest*
992  ac_cv_c_const=yes
993else
994  echo "configure: failed program was:" >&5
995  cat conftest.$ac_ext >&5
996  rm -rf conftest*
997  ac_cv_c_const=no
998fi
999rm -f conftest*
1000fi
1001
1002echo "$ac_t""$ac_cv_c_const" 1>&6
1003if test $ac_cv_c_const = no; then
1004  cat >> confdefs.h <<\EOF
1005#define const
1006EOF
1007
1008fi
1009
1010echo $ac_n "checking for size_t""... $ac_c" 1>&6
1011echo "configure:1012: checking for size_t" >&5
1012if eval "test \"`echo '$''{'ac_cv_type_size_t'+set}'`\" = set"; then
1013  echo $ac_n "(cached) $ac_c" 1>&6
1014else
1015  cat > conftest.$ac_ext <<EOF
1016#line 1017 "configure"
1017#include "confdefs.h"
1018#include <sys/types.h>
1019#if STDC_HEADERS
1020#include <stdlib.h>
1021#include <stddef.h>
1022#endif
1023EOF
1024if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1025  egrep "(^|[^a-zA-Z_0-9])size_t[^a-zA-Z_0-9]" >/dev/null 2>&1; then
1026  rm -rf conftest*
1027  ac_cv_type_size_t=yes
1028else
1029  rm -rf conftest*
1030  ac_cv_type_size_t=no
1031fi
1032rm -f conftest*
1033
1034fi
1035echo "$ac_t""$ac_cv_type_size_t" 1>&6
1036if test $ac_cv_type_size_t = no; then
1037  cat >> confdefs.h <<\EOF
1038#define size_t unsigned
1039EOF
1040
1041fi
1042
1043
1044for ac_func in strdup
1045do
1046echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
1047echo "configure:1048: checking for $ac_func" >&5
1048if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
1049  echo $ac_n "(cached) $ac_c" 1>&6
1050else
1051  cat > conftest.$ac_ext <<EOF
1052#line 1053 "configure"
1053#include "confdefs.h"
1054/* System header to define __stub macros and hopefully few prototypes,
1055    which can conflict with char $ac_func(); below.  */
1056#include <assert.h>
1057/* Override any gcc2 internal prototype to avoid an error.  */
1058/* We use char because int might match the return type of a gcc2
1059    builtin and then its argument prototype would still apply.  */
1060char $ac_func();
1061
1062int main() {
1063
1064/* The GNU C library defines this for functions which it implements
1065    to always fail with ENOSYS.  Some functions are actually named
1066    something starting with __ and the normal name is an alias.  */
1067#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
1068choke me
1069#else
1070$ac_func();
1071#endif
1072
1073; return 0; }
1074EOF
1075if { (eval echo configure:1076: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1076  rm -rf conftest*
1077  eval "ac_cv_func_$ac_func=yes"
1078else
1079  echo "configure: failed program was:" >&5
1080  cat conftest.$ac_ext >&5
1081  rm -rf conftest*
1082  eval "ac_cv_func_$ac_func=no"
1083fi
1084rm -f conftest*
1085fi
1086
1087if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
1088  echo "$ac_t""yes" 1>&6
1089    ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
1090  cat >> confdefs.h <<EOF
1091#define $ac_tr_func 1
1092EOF
1093
1094else
1095  echo "$ac_t""no" 1>&6
1096fi
1097done
1098
1099
1100trap '' 1 2 15
1101cat > confcache <<\EOF
1102# This file is a shell script that caches the results of configure
1103# tests run on this system so they can be shared between configure
1104# scripts and configure runs.  It is not useful on other systems.
1105# If it contains results you don't want to keep, you may remove or edit it.
1106#
1107# By default, configure uses ./config.cache as the cache file,
1108# creating it if it does not exist already.  You can give configure
1109# the --cache-file=FILE option to use a different cache file; that is
1110# what configure does when it calls configure scripts in
1111# subdirectories, so they share the cache.
1112# Giving --cache-file=/dev/null disables caching, for debugging configure.
1113# config.status only pays attention to the cache file if you give it the
1114# --recheck option to rerun configure.
1115#
1116EOF
1117# The following way of writing the cache mishandles newlines in values,
1118# but we know of no workaround that is simple, portable, and efficient.
1119# So, don't put newlines in cache variables' values.
1120# Ultrix sh set writes to stderr and can't be redirected directly,
1121# and sets the high bit in the cache file unless we assign to the vars.
1122(set) 2>&1 |
1123  case `(ac_space=' '; set | grep ac_space) 2>&1` in
1124  *ac_space=\ *)
1125    # `set' does not quote correctly, so add quotes (double-quote substitution
1126    # turns \\\\ into \\, and sed turns \\ into \).
1127    sed -n \
1128      -e "s/'/'\\\\''/g" \
1129      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1130    ;;
1131  *)
1132    # `set' quotes correctly as required by POSIX, so do not add quotes.
1133    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1134    ;;
1135  esac >> confcache
1136if cmp -s $cache_file confcache; then
1137  :
1138else
1139  if test -w $cache_file; then
1140    echo "updating cache $cache_file"
1141    cat confcache > $cache_file
1142  else
1143    echo "not updating unwritable cache $cache_file"
1144  fi
1145fi
1146rm -f confcache
1147
1148trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1149
1150test "x$prefix" = xNONE && prefix=$ac_default_prefix
1151# Let make expand exec_prefix.
1152test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1153
1154# Any assignment to VPATH causes Sun make to only execute
1155# the first set of double-colon rules, so remove it if not needed.
1156# If there is a colon in the path, we need to keep it.
1157if test "x$srcdir" = x.; then
1158  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
1159fi
1160
1161trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1162
1163DEFS=-DHAVE_CONFIG_H
1164
1165# Without the "./", some shells look in PATH for config.status.
1166: ${CONFIG_STATUS=./config.status}
1167
1168echo creating $CONFIG_STATUS
1169rm -f $CONFIG_STATUS
1170cat > $CONFIG_STATUS <<EOF
1171#! /bin/sh
1172# Generated automatically by configure.
1173# Run this file to recreate the current configuration.
1174# This directory was configured as follows,
1175# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1176#
1177# $0 $ac_configure_args
1178#
1179# Compiler output produced by configure, useful for debugging
1180# configure, is in ./config.log if it exists.
1181
1182ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1183for ac_option
1184do
1185  case "\$ac_option" in
1186  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1187    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1188    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1189  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1190    echo "$CONFIG_STATUS generated by autoconf version 2.13"
1191    exit 0 ;;
1192  -help | --help | --hel | --he | --h)
1193    echo "\$ac_cs_usage"; exit 0 ;;
1194  *) echo "\$ac_cs_usage"; exit 1 ;;
1195  esac
1196done
1197
1198ac_given_srcdir=$srcdir
1199
1200trap 'rm -fr `echo "Makefile config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1201EOF
1202cat >> $CONFIG_STATUS <<EOF
1203
1204# Protect against being on the right side of a sed subst in config.status.
1205sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1206 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1207$ac_vpsub
1208$extrasub
1209s%@SHELL@%$SHELL%g
1210s%@CFLAGS@%$CFLAGS%g
1211s%@CPPFLAGS@%$CPPFLAGS%g
1212s%@CXXFLAGS@%$CXXFLAGS%g
1213s%@FFLAGS@%$FFLAGS%g
1214s%@DEFS@%$DEFS%g
1215s%@LDFLAGS@%$LDFLAGS%g
1216s%@LIBS@%$LIBS%g
1217s%@exec_prefix@%$exec_prefix%g
1218s%@prefix@%$prefix%g
1219s%@program_transform_name@%$program_transform_name%g
1220s%@bindir@%$bindir%g
1221s%@sbindir@%$sbindir%g
1222s%@libexecdir@%$libexecdir%g
1223s%@datadir@%$datadir%g
1224s%@sysconfdir@%$sysconfdir%g
1225s%@sharedstatedir@%$sharedstatedir%g
1226s%@localstatedir@%$localstatedir%g
1227s%@libdir@%$libdir%g
1228s%@includedir@%$includedir%g
1229s%@oldincludedir@%$oldincludedir%g
1230s%@infodir@%$infodir%g
1231s%@mandir@%$mandir%g
1232s%@CC@%$CC%g
1233s%@CPP@%$CPP%g
1234
1235CEOF
1236EOF
1237
1238cat >> $CONFIG_STATUS <<\EOF
1239
1240# Split the substitutions into bite-sized pieces for seds with
1241# small command number limits, like on Digital OSF/1 and HP-UX.
1242ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1243ac_file=1 # Number of current file.
1244ac_beg=1 # First line for current file.
1245ac_end=$ac_max_sed_cmds # Line after last line for current file.
1246ac_more_lines=:
1247ac_sed_cmds=""
1248while $ac_more_lines; do
1249  if test $ac_beg -gt 1; then
1250    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1251  else
1252    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1253  fi
1254  if test ! -s conftest.s$ac_file; then
1255    ac_more_lines=false
1256    rm -f conftest.s$ac_file
1257  else
1258    if test -z "$ac_sed_cmds"; then
1259      ac_sed_cmds="sed -f conftest.s$ac_file"
1260    else
1261      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1262    fi
1263    ac_file=`expr $ac_file + 1`
1264    ac_beg=$ac_end
1265    ac_end=`expr $ac_end + $ac_max_sed_cmds`
1266  fi
1267done
1268if test -z "$ac_sed_cmds"; then
1269  ac_sed_cmds=cat
1270fi
1271EOF
1272
1273cat >> $CONFIG_STATUS <<EOF
1274
1275CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1276EOF
1277cat >> $CONFIG_STATUS <<\EOF
1278for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1279  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1280  case "$ac_file" in
1281  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1282       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1283  *) ac_file_in="${ac_file}.in" ;;
1284  esac
1285
1286  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1287
1288  # Remove last slash and all that follows it.  Not all systems have dirname.
1289  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1290  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1291    # The file is in a subdirectory.
1292    test ! -d "$ac_dir" && mkdir "$ac_dir"
1293    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1294    # A "../" for each directory in $ac_dir_suffix.
1295    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1296  else
1297    ac_dir_suffix= ac_dots=
1298  fi
1299
1300  case "$ac_given_srcdir" in
1301  .)  srcdir=.
1302      if test -z "$ac_dots"; then top_srcdir=.
1303      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1304  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1305  *) # Relative path.
1306    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1307    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1308  esac
1309
1310
1311  echo creating "$ac_file"
1312  rm -f "$ac_file"
1313  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1314  case "$ac_file" in
1315  *Makefile*) ac_comsub="1i\\
1316# $configure_input" ;;
1317  *) ac_comsub= ;;
1318  esac
1319
1320  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1321  sed -e "$ac_comsub
1322s%@configure_input@%$configure_input%g
1323s%@srcdir@%$srcdir%g
1324s%@top_srcdir@%$top_srcdir%g
1325" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1326fi; done
1327rm -f conftest.s*
1328
1329# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1330# NAME is the cpp macro being defined and VALUE is the value it is being given.
1331#
1332# ac_d sets the value in "#define NAME VALUE" lines.
1333ac_dA='s%^\([ 	]*\)#\([ 	]*define[ 	][ 	]*\)'
1334ac_dB='\([ 	][ 	]*\)[^ 	]*%\1#\2'
1335ac_dC='\3'
1336ac_dD='%g'
1337# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1338ac_uA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
1339ac_uB='\([ 	]\)%\1#\2define\3'
1340ac_uC=' '
1341ac_uD='\4%g'
1342# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1343ac_eA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
1344ac_eB='$%\1#\2define\3'
1345ac_eC=' '
1346ac_eD='%g'
1347
1348if test "${CONFIG_HEADERS+set}" != set; then
1349EOF
1350cat >> $CONFIG_STATUS <<EOF
1351  CONFIG_HEADERS="config.h"
1352EOF
1353cat >> $CONFIG_STATUS <<\EOF
1354fi
1355for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1356  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1357  case "$ac_file" in
1358  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1359       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1360  *) ac_file_in="${ac_file}.in" ;;
1361  esac
1362
1363  echo creating $ac_file
1364
1365  rm -f conftest.frag conftest.in conftest.out
1366  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1367  cat $ac_file_inputs > conftest.in
1368
1369EOF
1370
1371# Transform confdefs.h into a sed script conftest.vals that substitutes
1372# the proper values into config.h.in to produce config.h.  And first:
1373# Protect against being on the right side of a sed subst in config.status.
1374# Protect against being in an unquoted here document in config.status.
1375rm -f conftest.vals
1376cat > conftest.hdr <<\EOF
1377s/[\\&%]/\\&/g
1378s%[\\$`]%\\&%g
1379s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1380s%ac_d%ac_u%gp
1381s%ac_u%ac_e%gp
1382EOF
1383sed -n -f conftest.hdr confdefs.h > conftest.vals
1384rm -f conftest.hdr
1385
1386# This sed command replaces #undef with comments.  This is necessary, for
1387# example, in the case of _POSIX_SOURCE, which is predefined and required
1388# on some systems where configure will not decide to define it.
1389cat >> conftest.vals <<\EOF
1390s%^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1391EOF
1392
1393# Break up conftest.vals because some shells have a limit on
1394# the size of here documents, and old seds have small limits too.
1395
1396rm -f conftest.tail
1397while :
1398do
1399  ac_lines=`grep -c . conftest.vals`
1400  # grep -c gives empty output for an empty file on some AIX systems.
1401  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1402  # Write a limited-size here document to conftest.frag.
1403  echo '  cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1404  sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1405  echo 'CEOF
1406  sed -f conftest.frag conftest.in > conftest.out
1407  rm -f conftest.in
1408  mv conftest.out conftest.in
1409' >> $CONFIG_STATUS
1410  sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1411  rm -f conftest.vals
1412  mv conftest.tail conftest.vals
1413done
1414rm -f conftest.vals
1415
1416cat >> $CONFIG_STATUS <<\EOF
1417  rm -f conftest.frag conftest.h
1418  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
1419  cat conftest.in >> conftest.h
1420  rm -f conftest.in
1421  if cmp -s $ac_file conftest.h 2>/dev/null; then
1422    echo "$ac_file is unchanged"
1423    rm -f conftest.h
1424  else
1425    # Remove last slash and all that follows it.  Not all systems have dirname.
1426      ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1427      if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1428      # The file is in a subdirectory.
1429      test ! -d "$ac_dir" && mkdir "$ac_dir"
1430    fi
1431    rm -f $ac_file
1432    mv conftest.h $ac_file
1433  fi
1434fi; done
1435
1436EOF
1437cat >> $CONFIG_STATUS <<EOF
1438
1439EOF
1440cat >> $CONFIG_STATUS <<\EOF
1441
1442exit 0
1443EOF
1444chmod +x $CONFIG_STATUS
1445rm -fr confdefs* $ac_clean_files
1446test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1447
1448